Skip to content

Over-the-Counter (OTC)

The API endpoints supports Over-The-Counter (OTC) transactions, with a minimum amount of USD 50,000. Below shows a recommended flow of how to execute the API.

User Intent: Swap Currencies

Minimum Order: USD 50,000

Integration Steps

Step 1: Get Available Trading Pairs

Endpoint: POST /otc/pair/list

Returns all supported swap pairs for OTC trading.


Step 2: Request Quote

Endpoint: POST /otc/order/quote

Get pricing for your specific trade amount and swap pair.


Step 3: Create Order

Endpoint: POST /otc/order/create

Execute the swap transaction with approved quote.


Result

✓ Swap Order Placed with OTC Provider